Subject: Re: [PATCH v2 14/19] tree-diff: rework diff_tree interface to be sha1 based

From: Kirill Smelkov <[email-masked]>
Date: Thu, 27 Mar 2014 23:43:00 +0400

+stefanbeller

On Thu, Mar 27, 2014 at 11:48:11AM -0700, Junio C Hamano wrote:
> Kirill Smelkov <[email-masked]> writes:
> 
> > (please keep author email)
> > ---- 8< ----
> > From: Kirill Smelkov <[email-masked]>
> > Date: Mon, 24 Feb 2014 20:21:46 +0400
> > Subject: [PATCH v3a] tree-diff: rework diff_tree interface to be sha1 based
> 
> "git am -c" will discard everything above the scissors and then
> start parsing the in-body headers from there, so the above From:
> will be used.

Thanks.

> But you have a few entries in .mailmap; do you want to update them
> as well?

When Stefan Beller was contacting me on emails, if I recall correctly, I
told him all those kirr@... entries are mine, but the one this patch is
authored with indicates that something was done at work, and I'd prefer to
acknowledge that. So maybe

---- 8< ----
From: Kirill Smelkov <[email-masked]>
Date: Thu, 27 Mar 2014 23:32:14 +0400
Subject: [PATCH] .mailmap: Separate Kirill Smelkov personal and work addresses

The address [email-masked] indicates that a patch was done at work and
I'd like to acknowledge that.

The address [email-masked] is my personal email and indicates that
a contribution is done completely on my own time and resources.

[email-masked] is old university account which no longer works
(sigh, to much spam "because of me" on the server) and maps to
[email-masked] which should be considered as primary.

Signed-off-by: Kirill Smelkov <[email-masked]>
---
 .mailmap | 1 -
 1 file changed, 1 deletion(-)

diff --git a/.mailmap b/.mailmap
index 11057cb..0be5e02 100644
--- a/.mailmap
+++ b/.mailmap
@@ -117,7 +117,6 @@ Keith Cascio <[email-masked]> <[email-masked]>
 Kent Engstrom <[email-masked]>
 Kevin Leung <[email-masked]>
 Kirill Smelkov <[email-masked]> <[email-masked]>
-Kirill Smelkov <[email-masked]> <[email-masked]>
 Knut Franke <[email-masked]> <[email-masked]>
 Lars Doelle <lars.doelle@on-line ! de>
 Lars Doelle <[email-masked]>
-- 
1.9.rc0.143.g6fd479e
---- 8< ----

On the other hand, it is still all me, and the main address (navytux) is
indicated correctly, so I dunno...

> By the way, in general I do not appreciate people lying on the Date:
> with an in-body header in their patches, either in the original or
> in rerolls.
> 
> Thanks.

I see. Somehow it is pity that the date of original work is lost via
this approach, as now we are only changing cosmetics etc, and the bulk
of the work was done earlier.

Anyway, we can drop the date, but please keep the email, as it is used
for the acknowledgment.

Thanks,
Kirill